Package

## Class MediaInformation

-     public class MediaInformation

  Media information class.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `public final static String` | `KEY_FORMAT_PROPERTIES` |
    `public final static String` | `KEY_FILENAME` |
    `public final static String` | `KEY_FORMAT` |
    `public final static String` | `KEY_FORMAT_LONG` |
    `public final static String` | `KEY_START_TIME` |
    `public final static String` | `KEY_DURATION` |
    `public final static String` | `KEY_SIZE` |
    `public final static String` | `KEY_BIT_RATE` |
    `public final static String` | `KEY_TAGS` |
    `private final List<StreamInformation>` | `streams` |
    `private final List<Chapter>` | `chapters` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaInformation(JSONObject jsonObject, List<StreamInformation> streams, List<Chapter> chapters)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `List<StreamInformation>` | `getStreams()` | Returns all streams.
    `List<Chapter>` | `getChapters()` | Returns all chapters.
    `String` | `getFilename()` | Returns file name.
    `String` | `getFormat()` | Returns format.
    `String` | `getLongFormat()` | Returns long format.
    `String` | `getDuration()` | Returns duration.
    `String` | `getStartTime()` | Returns start time.
    `String` | `getSize()` | Returns size.
    `String` | `getBitrate()` | Returns bitrate.
    `JSONObject` | `getTags()` | Returns all tags.
    `String` | `getStringProperty(String key)` | Returns the property associated with the key.
    `Long` | `getNumberProperty(String key)` | Returns the property associated with the key.
    `JSONObject` | `getProperty(String key)` | Returns the property associated with the key.
    `String` | `getStringFormatProperty(String key)` | Returns the format property associated with the key.
    `Long` | `getNumberFormatProperty(String key)` | Returns the format property associated with the key.
    `JSONObject` | `getFormatProperty(String key)` | Returns the format property associated with the key.
    `JSONObject` | `getFormatProperties()` | Returns all format properties defined.
    `JSONObject` | `getAllProperties()` | Returns all properties defined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaInformation

          MediaInformation(JSONObject jsonObject, List<StreamInformation> streams, List<Chapter> chapters)

  - ### Method Detail

    - #### getStreams

           List<StreamInformation> getStreams()

      Returns all streams.

    - #### getChapters

           List<Chapter> getChapters()

      Returns all chapters.

    - #### getFilename

           String getFilename()

      Returns file name.

    - #### getFormat

           String getFormat()

      Returns format.

    - #### getLongFormat

           String getLongFormat()

      Returns long format.

    - #### getDuration

           String getDuration()

      Returns duration.

    - #### getStartTime

           String getStartTime()

      Returns start time.

    - #### getSize

           String getSize()

      Returns size.

    - #### getBitrate

           String getBitrate()

      Returns bitrate.

    - #### getTags

           JSONObject getTags()

      Returns all tags.

    - #### getStringProperty

           String getStringProperty(String key)

      Returns the property associated with the key.

      Parameters:
        `key` - property key

    - #### getNumberProperty

           Long getNumberProperty(String key)

      Returns the property associated with the key.

      Parameters:
        `key` - property key

    - #### getProperty

           JSONObject getProperty(String key)

      Returns the property associated with the key.

      Parameters:
        `key` - property key

    - #### getStringFormatProperty

           String getStringFormatProperty(String key)

      Returns the format property associated with the key.

      Parameters:
        `key` - property key

    - #### getNumberFormatProperty

           Long getNumberFormatProperty(String key)

      Returns the format property associated with the key.

      Parameters:
        `key` - property key

    - #### getFormatProperty

           JSONObject getFormatProperty(String key)

      Returns the format property associated with the key.

      Parameters:
        `key` - property key

    - #### getFormatProperties

           JSONObject getFormatProperties()

      Returns all format properties defined.

    - #### getAllProperties

           JSONObject getAllProperties()

      Returns all properties defined.